// This file was generated by qlalr - DO NOT EDIT!
#ifndef TABLE_LGCOUTPUTERRLEXER_P_H
#define TABLE_LGCOUTPUTERRLEXER_P_H

class Table_LGCOutputErrLexer
{
public:
    enum VariousConstants {
        EOF_SYMBOL = 0,
        ANGL = 27,
        ASTERISK = 7,
        COLON = 5,
        DECIMAL = 4,
        DHOR = 32,
        DIST = 29,
        DLEV = 38,
        DSPT = 37,
        DVER = 45,
        ECDIR = 31,
        ECHO = 39,
        ECSP = 40,
        ECTH = 30,
        ECVE = 41,
        ECWI = 44,
        ECWS = 43,
        EOL_SYMBOL = 1,
        EQUAL = 6,
        ERR_ASTERISKS = 55,
        EXCLAMATION = 54,
        FRAME = 12,
        FRAMESLAVE = 13,
        FRAME_PARAMETER = 14,
        ILLMEASUREMENT = 49,
        INCLY = 42,
        IND = 53,
        IND1000 = 51,
        INDETERMINE = 50,
        INFINI = 52,
        INTEGER = 3,
        LINE = 19,
        OBSERVATION = 21,
        OBSXYZ = 46,
        OBS_dist = 23,
        OBS_j = 22,
        ORIE = 34,
        PIVOT = 20,
        PLR3D = 33,
        POINT = 25,
        PT = 24,
        RADI = 47,
        REPARTITION = 48,
        STATION = 18,
        SUMMARY_POWER = 11,
        SUMMARY_SIGMA = 9,
        SUMMARY_SIGNIFICANCE = 10,
        SUMMARY_START = 8,
        UVD = 36,
        UVEC = 35,
        WIRE = 26,
        WORD = 2,
        XY = 15,
        XZ = 16,
        YZ = 17,
        ZEND = 28,

        ACCEPT_STATE = 5,
        RULE_COUNT = 137,
        STATE_COUNT = 253,
        TERMINAL_COUNT = 56,
        NON_TERMINAL_COUNT = 65,

        GOTO_INDEX_OFFSET = 253,
        GOTO_INFO_OFFSET = 420,
        GOTO_CHECK_OFFSET = 420
    };

    static const char *const     spell[];
    static const short             lhs[];
    static const short             rhs[];
    static const short    goto_default[];
    static const short  action_default[];
    static const short    action_index[];
    static const short     action_info[];
    static const short    action_check[];

    static inline int nt_action (int state, int nt)
    {
        const int yyn = action_index [GOTO_INDEX_OFFSET + state] + nt;
        if (yyn < 0 || action_check [GOTO_CHECK_OFFSET + yyn] != nt)
            return goto_default [nt];

        return action_info [GOTO_INFO_OFFSET + yyn];
    }

    static inline int t_action (int state, int token)
    {
        const int yyn = action_index [state] + token;

        if (yyn < 0 || action_check [yyn] != token)
            return - action_default [state];

        return action_info [yyn];
    }
};


#endif // TABLE_LGCOUTPUTERRLEXER_P_H

